import { AbstractPowerSyncDatabaseOpenFactory } from '@journeyapps/powersync-sdk-common';
import { PowerSyncDatabase } from '../../../db/PowerSyncDatabase';
import { WASQLiteDBAdapter } from './WASQLiteDBAdapter';
export class WASQLitePowerSyncDatabaseOpenFactory extends AbstractPowerSyncDatabaseOpenFactory {
    openDB() {
        return new WASQLiteDBAdapter(this.options);
    }
    generateInstance(options) {
        return new PowerSyncDatabase(options);
    }
}
//# sourceMappingURL=WASQLitePowerSyncDatabaseOpenFactory.js.map